FROM debian:jessie

ENV DEBIAN_FRONTEND noninteractive

RUN apt-get update && \
    apt-get install -y \
        python-minimal g++ make curl tar perl-base environment-modules && \
    apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/* && \
    curl -sL https://github.com/LLNL/spack/archive/develop.tar.gz | tar xz && \
    mv /spack-* /spack && \
    echo 'module() { eval `/usr/bin/modulecmd sh $*`; }' >> /spack/share/spack/setup-env.sh && \
    /spack/bin/spack install tree
ENV SPACK_ROOT=/spack
ENV FORCE_UNSAFE_CONFIGURE=1
RUN /spack/bin/spack install -v gcc@6.2.0
#RUN source /spack/share/spack/setup-env.sh
#RUN spack load gcc@6.2.0 && spack compiler find
#RUN spack install boost@1.63.0 %gcc@6.2.0


#Run wget -O /boost_1_56_0.tar.bz2 -c 'http://sourceforge.net/projects/boost/files/boost/1.56.0/boost_1_56_0.tar.bz2/download' --max-redirect=100 \
# && cd / && tar xjf /boost_1_56_0.tar.bz2 \
# && cd /boost_1_56_0/ \
# && ./bootstrap.sh --prefix=/opt/boost_1_56_0 --with-libraries=atomic,chrono,container,context,coroutine,date_time,exception,filesystem,graph,iostreams,locale,log,math,program_options,random,regex,serialization,signals,system,test,thread,timer,wave

#RUN cd /boost_1_56_0 && ./b2 toolset=gcc-4.9 install || true

# && rm -rf /boost_1_56_0.tar.bz2 /boost_1_56_0
